import { ShrOptions } from "../crypto/SignedHttpRequest";
import { AuthenticationScheme } from "../utils/Constants";
/**
 * Type representing a unique request thumbprint.
 */
export type RequestThumbprint = {
    clientId: string;
    authority: string;
    scopes: Array<string>;
    homeAccountIdentifier?: string;
    claims?: string;
    authenticationScheme?: AuthenticationScheme;
    resourceRequestMethod?: string;
    resourceRequestUri?: string;
    shrClaims?: string;
    sshKid?: string;
    shrOptions?: ShrOptions;
};
//# sourceMappingURL=RequestThumbprint.d.ts.map